/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../styles/openk.styles";

:host {
  display: inline-flex;
  max-width: 100%;
}

.editable-text {
  display: inline-flex;
  color: get-color($openk-info-palette, A300);
  cursor: pointer;
}

.editable-text--icon {
  height: initial;
  width: initial;
  font-size: 1em;
  margin: auto;
}

.hidden {
  display: none !important;
}

.editable-text---disabled {
  pointer-events: none;
}

.input-field {
  display: inline-block;
  position: relative;
  max-width: 100%;
  min-width: 1.5em;
}

.input-field--placeholder {
  padding: 0 0.4em;
  box-sizing: border-box;
  opacity: 0;
  max-width: 100%;
  overflow: hidden;
  white-space: nowrap;
}

.input-field--control {
  resize: none;
  max-width: 100%;
  padding: 0 0.4em;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(calc(-50%));
  min-width: 100%;
  box-sizing: border-box;
}


.date-field {
  width: 6em;
}

.select {
  width: 100%;
  white-space: initial;
}
